<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-15 14:24:56
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzAdminExt extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_admin_ext}}';
    }
                
    /**
     * ------------ 字段 ext_id 
     * ------------ 表字段注释: 
     */
    public function filterByExtId($val): self
    {
        $this->filterByColumn("ext_id", $val);
        return $this;
    }

    public function setExtId($val): self
    {
        $this->setAttr("ext_id", $val);
        return $this;
    }

    public function getExtId()
    {
        return $this->ext_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 店铺ID
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 att_key 
     * ------------ 表字段注释: 属性字段
     */
    public function filterByAttKey($val): self
    {
        $this->filterByColumn("att_key", $val);
        return $this;
    }

    public function setAttKey($val): self
    {
        $this->setAttr("att_key", $val);
        return $this;
    }

    public function getAttKey()
    {
        return $this->att_key ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 att_value 
     * ------------ 表字段注释: 属性值
     */
    public function filterByAttValue($val): self
    {
        $this->filterByColumn("att_value", $val);
        return $this;
    }

    public function setAttValue($val): self
    {
        $this->setAttr("att_value", $val);
        return $this;
    }

    public function getAttValue()
    {
        return $this->att_value ?? null;
    }
    // ---------------------------------------------
    
}
